Get security export destination
List sanitized security export destinations and inspect bounded delivery health without accessing sink credentials or changing delivery state.
GET
/
api
/
headless
/
v1
/
organizations
/
{organizationId}
/
security-telemetry
/
export-destinations
/
{destinationId}
Get security export destination
curl --request GET \
--url https://api.forge.ai/api/headless/v1/organizations/{organizationId}/security-telemetry/export-destinations/{destinationId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.forge.ai/api/headless/v1/organizations/{organizationId}/security-telemetry/export-destinations/{destinationId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.forge.ai/api/headless/v1/organizations/{organizationId}/security-telemetry/export-destinations/{destinationId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.forge.ai/api/headless/v1/organizations/{organizationId}/security-telemetry/export-destinations/{destinationId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"destination": {
"id": "<string>",
"organizationId": "<string>",
"name": "<string>",
"config": {},
"filters": {},
"detailPolicy": {},
"replayLookbackDays": 123,
"deliveryStateRetentionDays": 123,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"lastTestStatus": "<string>",
"lastTestAt": "2023-11-07T05:31:56Z",
"lastTestError": "<string>"
}
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}Authorizations
Enter a Forge service-account token or delegated OAuth access token. Mintlify adds the Bearer prefix.
Response
One sanitized security export destination.
Show child attributes
Show child attributes
⌘I
Get security export destination
curl --request GET \
--url https://api.forge.ai/api/headless/v1/organizations/{organizationId}/security-telemetry/export-destinations/{destinationId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.forge.ai/api/headless/v1/organizations/{organizationId}/security-telemetry/export-destinations/{destinationId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.forge.ai/api/headless/v1/organizations/{organizationId}/security-telemetry/export-destinations/{destinationId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.forge.ai/api/headless/v1/organizations/{organizationId}/security-telemetry/export-destinations/{destinationId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"destination": {
"id": "<string>",
"organizationId": "<string>",
"name": "<string>",
"config": {},
"filters": {},
"detailPolicy": {},
"replayLookbackDays": 123,
"deliveryStateRetentionDays": 123,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"lastTestStatus": "<string>",
"lastTestAt": "2023-11-07T05:31:56Z",
"lastTestError": "<string>"
}
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}